次の方法で共有


Scaling Plan Pooled Schedules - Create

ScalingPlanPooledSchedule を作成または更新します。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DesktopVirtualization/scalingPlans/{scalingPlanName}/pooledSchedules/{scalingPlanScheduleName}?api-version=2025-10-10

URI パラメーター

名前 / 必須 説明
resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

scalingPlanName
path True

string

minLength: 3
maxLength: 64
pattern: ^[A-Za-z0-9@.\-_ ]*$

スケーリングプランの名前。

scalingPlanScheduleName
path True

string

minLength: 1
maxLength: 64
pattern: ^[A-Za-z0-9@.\-_ ]*$

ScalingPlanSchedule の名前

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 説明
properties.daysOfWeek

DayOfWeek[]

このスケジュールがアクティブな曜日のセット。

properties.offPeakLoadBalancingAlgorithm

SessionHostLoadBalancingAlgorithm

ピーク時以外の期間の負荷分散アルゴリズム。

properties.offPeakStartTime

Time

オフピーク期間の開始時刻。

properties.peakLoadBalancingAlgorithm

SessionHostLoadBalancingAlgorithm

ピーク期間の負荷分散アルゴリズム。

properties.peakStartTime

Time

ピーク期間の開始時刻。

properties.rampDownCapacityThresholdPct

integer (int32)

minimum: 1
maximum: 100

ランプダウン期間の容量しきい値。

properties.rampDownForceLogoffUsers

boolean

ユーザーがホストから強制的にログオフする必要があります。

properties.rampDownLoadBalancingAlgorithm

SessionHostLoadBalancingAlgorithm

ランプダウン期間の負荷分散アルゴリズム。

properties.rampDownMinimumHostsPct

integer (int32)

minimum: 0
maximum: 100

ランプダウン期間の最小ホスト割合。

properties.rampDownNotificationMessage

string

ランプダウン期間中のユーザーの通知メッセージ。

properties.rampDownStartTime

Time

ランプダウン期間の開始時刻。

properties.rampDownStopHostsWhen

StopHostsWhen

ランプダウン期間中にホストを停止するタイミングを指定します。

properties.rampDownWaitTimeMinutes

integer (int32)

ランプダウン期間中にホストを停止するまで待機する時間 (分)。

properties.rampUpCapacityThresholdPct

integer (int32)

minimum: 1
maximum: 100

スケールアップ期間の容量しきい値。

properties.rampUpLoadBalancingAlgorithm

SessionHostLoadBalancingAlgorithm

スケールアップ期間の負荷分散アルゴリズム。

properties.rampUpMinimumHostsPct

integer (int32)

minimum: 0
maximum: 100

ランプアップ期間の最小ホストの割合。

properties.rampUpStartTime

Time

ランプアップ期間の開始時刻。

応答

名前 説明
200 OK

ScalingPlanPooledSchedule

ScalingPlanPooledScheduleを正常に更新しました。

201 Created

ScalingPlanPooledSchedule

ScalingPlanPooledScheduleを成功裏に作成しました。

Other Status Codes

CloudError

操作が失敗した理由を説明する自動化エラー応答。

ScalingPlanPooledSchedules_Create

要求のサンプル

PUT https://management.azure.com/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/scalingPlans/scalingPlan1/pooledSchedules/scalingPlanScheduleWeekdays1?api-version=2025-10-10

{
  "properties": {
    "daysOfWeek": [
      "Monday",
      "Tuesday",
      "Wednesday",
      "Thursday",
      "Friday"
    ],
    "rampUpStartTime": {
      "hour": 6,
      "minute": 0
    },
    "rampUpLoadBalancingAlgorithm": "DepthFirst",
    "rampUpMinimumHostsPct": 20,
    "rampUpCapacityThresholdPct": 80,
    "peakStartTime": {
      "hour": 8,
      "minute": 0
    },
    "peakLoadBalancingAlgorithm": "BreadthFirst",
    "rampDownStartTime": {
      "hour": 18,
      "minute": 0
    },
    "rampDownLoadBalancingAlgorithm": "DepthFirst",
    "rampDownMinimumHostsPct": 20,
    "rampDownCapacityThresholdPct": 50,
    "rampDownForceLogoffUsers": true,
    "rampDownWaitTimeMinutes": 30,
    "rampDownNotificationMessage": "message",
    "offPeakStartTime": {
      "hour": 20,
      "minute": 0
    },
    "offPeakLoadBalancingAlgorithm": "DepthFirst"
  }
}

応答のサンプル

{
  "name": "scalingPlanScheduleWeekdays1",
  "id": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/scalingPlans/scalingPlan1/pooledSchedules/scalingPlanScheduleWeekdays1",
  "type": "Microsoft.DesktopVirtualization/scalingPlans/pooledSchedules",
  "systemData": {
    "createdBy": "user1",
    "createdByType": "User",
    "createdAt": "2020-01-01T17:18:19.1234567Z",
    "lastModifiedBy": "user2",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
  },
  "properties": {
    "daysOfWeek": [
      "Monday",
      "Tuesday",
      "Wednesday",
      "Thursday",
      "Friday"
    ],
    "rampUpStartTime": {
      "hour": 6,
      "minute": 0
    },
    "rampUpLoadBalancingAlgorithm": "DepthFirst",
    "rampUpMinimumHostsPct": 20,
    "rampUpCapacityThresholdPct": 80,
    "peakStartTime": {
      "hour": 8,
      "minute": 0
    },
    "peakLoadBalancingAlgorithm": "BreadthFirst",
    "rampDownStartTime": {
      "hour": 18,
      "minute": 0
    },
    "rampDownLoadBalancingAlgorithm": "DepthFirst",
    "rampDownMinimumHostsPct": 20,
    "rampDownCapacityThresholdPct": 50,
    "rampDownForceLogoffUsers": true,
    "rampDownWaitTimeMinutes": 30,
    "rampDownNotificationMessage": "message",
    "offPeakStartTime": {
      "hour": 20,
      "minute": 0
    },
    "offPeakLoadBalancingAlgorithm": "DepthFirst"
  }
}
{
  "name": "scalingPlanScheduleWeekdays1",
  "id": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/scalingPlans/scalingPlan1/pooledSchedules/scalingPlanScheduleWeekdays1",
  "type": "Microsoft.DesktopVirtualization/scalingPlans/pooledSchedules",
  "systemData": {
    "createdBy": "user1",
    "createdByType": "User",
    "createdAt": "2020-01-01T17:18:19.1234567Z",
    "lastModifiedBy": "user2",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
  },
  "properties": {
    "daysOfWeek": [
      "Monday",
      "Tuesday",
      "Wednesday",
      "Thursday",
      "Friday"
    ],
    "rampUpStartTime": {
      "hour": 6,
      "minute": 0
    },
    "rampUpLoadBalancingAlgorithm": "DepthFirst",
    "rampUpMinimumHostsPct": 20,
    "rampUpCapacityThresholdPct": 80,
    "peakStartTime": {
      "hour": 8,
      "minute": 0
    },
    "peakLoadBalancingAlgorithm": "BreadthFirst",
    "rampDownStartTime": {
      "hour": 18,
      "minute": 0
    },
    "rampDownLoadBalancingAlgorithm": "DepthFirst",
    "rampDownMinimumHostsPct": 20,
    "rampDownCapacityThresholdPct": 50,
    "rampDownForceLogoffUsers": true,
    "rampDownWaitTimeMinutes": 30,
    "rampDownNotificationMessage": "message",
    "offPeakStartTime": {
      "hour": 20,
      "minute": 0
    },
    "offPeakLoadBalancingAlgorithm": "DepthFirst"
  }
}

定義

名前 説明
CloudError

クラウドエラーオブジェクト。

CloudErrorProperties

クラウドエラーオブジェクトのプロパティ。

createdByType

リソースを作成した ID の種類。

DayOfWeek

曜日。

ScalingPlanPooledSchedule

ScalingPlanPooledSchedule 定義を表します。

SessionHostLoadBalancingAlgorithm

スケールアップ期間の負荷分散アルゴリズム。

StopHostsWhen

ランプダウン期間中にホストを停止するタイミングを指定します。

systemData

リソースの作成と最後の変更に関連するメタデータ。

Time

スケーリングアクションが発生するまでの時間。

CloudError

クラウドエラーオブジェクト。

名前 説明
error

CloudErrorProperties

クラウドエラーオブジェクトのプロパティ。

CloudErrorProperties

クラウドエラーオブジェクトのプロパティ。

名前 説明
code

string

エラー コード

message

string

操作が失敗した理由を示すエラー メッセージ。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

DayOfWeek

曜日。

説明
Monday
Tuesday
Wednesday
Thursday
Friday
Saturday
Sunday

ScalingPlanPooledSchedule

ScalingPlanPooledSchedule 定義を表します。

名前 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

リソースの名前

properties.daysOfWeek

DayOfWeek[]

このスケジュールがアクティブな曜日のセット。

properties.offPeakLoadBalancingAlgorithm

SessionHostLoadBalancingAlgorithm

ピーク時以外の期間の負荷分散アルゴリズム。

properties.offPeakStartTime

Time

オフピーク期間の開始時刻。

properties.peakLoadBalancingAlgorithm

SessionHostLoadBalancingAlgorithm

ピーク期間の負荷分散アルゴリズム。

properties.peakStartTime

Time

ピーク期間の開始時刻。

properties.rampDownCapacityThresholdPct

integer (int32)

minimum: 1
maximum: 100

ランプダウン期間の容量しきい値。

properties.rampDownForceLogoffUsers

boolean

ユーザーがホストから強制的にログオフする必要があります。

properties.rampDownLoadBalancingAlgorithm

SessionHostLoadBalancingAlgorithm

ランプダウン期間の負荷分散アルゴリズム。

properties.rampDownMinimumHostsPct

integer (int32)

minimum: 0
maximum: 100

ランプダウン期間の最小ホスト割合。

properties.rampDownNotificationMessage

string

ランプダウン期間中のユーザーの通知メッセージ。

properties.rampDownStartTime

Time

ランプダウン期間の開始時刻。

properties.rampDownStopHostsWhen

StopHostsWhen

ランプダウン期間中にホストを停止するタイミングを指定します。

properties.rampDownWaitTimeMinutes

integer (int32)

ランプダウン期間中にホストを停止するまで待機する時間 (分)。

properties.rampUpCapacityThresholdPct

integer (int32)

minimum: 1
maximum: 100

スケールアップ期間の容量しきい値。

properties.rampUpLoadBalancingAlgorithm

SessionHostLoadBalancingAlgorithm

スケールアップ期間の負荷分散アルゴリズム。

properties.rampUpMinimumHostsPct

integer (int32)

minimum: 0
maximum: 100

ランプアップ期間の最小ホストの割合。

properties.rampUpStartTime

Time

ランプアップ期間の開始時刻。

systemData

systemData

リソースの作成と最後の変更に関連するメタデータ。

type

string

リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

SessionHostLoadBalancingAlgorithm

スケールアップ期間の負荷分散アルゴリズム。

説明
BreadthFirst
DepthFirst

StopHostsWhen

ランプダウン期間中にホストを停止するタイミングを指定します。

説明
ZeroSessions
ZeroActiveSessions

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。

Time

スケーリングアクションが発生するまでの時間。

名前 説明
hour

integer (int32)

minimum: 0
maximum: 23

時間。

minute

integer (int32)

minimum: 0
maximum: 59

分。